[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBMemo.Notification

Handles the notification when a component is added or removed from the control.

## Declaration

Source position: dbctrls.pp line 1015

`protected procedure TDBMemo.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation performed on / for the component.

## Description

Notification is an overridden method in TDBMemo. It calls the inherited method on entry, and ensures that the DataSource property is Nil'd when the component it is removed from the class instance.

## See also

TDBMemo.DataSource |  | Provides access to the dataset with content for the control.
TControl.Notification |  | Notification handler for insertion or deletion of components.